Skip to main content
GET
/
v1
/
campaigns
/
{campaignId}
Get campaign
curl --request GET \
  --url https://api.getsoundlink.com/v1/campaigns/{campaignId} \
  --header 'x-api-key: <api-key>'
{ "data": { "campaignId": "camp_abc123", "organizationId": "org_xyz", "status": "active", "socialPlatform": "meta", "dailyBudget": 20, "totalBudget": 140, "campaignDuration": 7, "strategyType": "custom", "createdAt": "2026-04-01T10:00:00Z", "updatedAt": "2026-04-08T12:00:00Z" }, "meta": { "requestId": "550e8400-e29b-41d4-a716-446655440000" } }

Authorizations

x-api-key
string
header
required

Pass your Soundlink sk_* API key in the x-api-key header. Keys can carry explicit scopes (for example campaigns:read, metrics:read) enforced by the backend.

Path Parameters

campaignId
string
required

Campaign identifier (e.g. camp_abc123)

Response

Campaign detail

data
object
required
meta
object
required